Tenant information
GET
/v2/tenant/{tenantKey}
const url = 'https://sender.api.kivra.com/v2/tenant/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v2/tenant/example \ --header 'Authorization: Bearer <token>'Get detailed information on a tenant
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantKey
required
string format: hexadecimal
The unique Key for a Tenant
Responses
Section titled “Responses”Tenant information
Media typeapplication/json
Tenant_v2
object
name
required
Name of the Tenant, this name shows up in the Users Inbox
string
company_id
required
Array<object>
CompanyIdobject
name
required
Legal name of Company
string
orgnr
required
Vat number of Company
string
edit_security_level
Security level needed for an enduser to opt_out from this Tenant
integer
groups
List of groups this Tenant belongs to
Array<string>
visibility
Determines if this Tenant is visible for the enduser
string
created_at
Datum when the tenant was created in UTC format
string
created_by
ID of client that created the tenant
string
status
Internal field describing whether the user can opt-out the tenant
string
class
Internal field
string
Example
{ "name": "Kivra", "company_id": [ { "name": "Kivra AB", "orgnr": "SE556840226601" } ], "edit_security_level": 25, "groups": [], "visibility": "visible", "created_at": "2019-05-20T12:42:29Z", "created_by": "client_15063298495eafd2749bb78e2f991af3ab023d13df", "status": "optional", "class": "opt_out"}